Author Topic: shaded vport options  (Read 1127 times)

0 Members and 1 Guest are viewing this topic.

domenicomaria

  • Swamp Rat
  • Posts: 725
shaded vport options
« on: February 21, 2023, 03:40:07 AM »
Is there a way to set the "shade plot" property and the "quality" property
in "shaded vport options"  in the plot window ?

maybe I should use one of the following functions?

vla-put-ShadePlot, vla-put-OlePlotQuality, vla-put-OLEQuality . . .

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: shaded vport options
« Reply #1 on: February 21, 2023, 05:35:00 AM »

maybe I should use one of the following functions?

vla-put-ShadePlot

it depends on what value you want to set

domenicomaria

  • Swamp Rat
  • Posts: 725
Re: shaded vport options
« Reply #2 on: February 21, 2023, 07:30:10 AM »
Quote
it depends on what value you want to set

as displayed    and    maximum

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: shaded vport options
« Reply #3 on: February 21, 2023, 08:28:33 AM »

as displayed

(entmod
  (vk_PutAss 0
        76
        (vk_RemoveAss 333
            (entget
              (vlax-vla-object->ename (vla-get-ActiveLayout (vla-get-ActiveDocument (vlax-get-acad-object))))
            )
        )
  )
)

domenicomaria

  • Swamp Rat
  • Posts: 725
Re: shaded vport options
« Reply #4 on: February 21, 2023, 01:44:13 PM »
where are vk_PutAss and vk_RemoveAss ?

and shaded vport quality?

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: shaded vport options
« Reply #5 on: February 21, 2023, 02:40:39 PM »
where are vk_PutAss and vk_RemoveAss ?
these are the simple library functions
anyway, we can do it without them
Code: [Select]
(entmod
  (append (vl-remove-if (function (lambda (e) (or (= (car e) 76) (= (car e) 333))))
(entget (vlax-vla-object->ename
  (vla-get-ActiveLayout (vla-get-ActiveDocument (vlax-get-acad-object)))
)
)
  )
  '((76 . 0))
  )
)

domenicomaria

  • Swamp Rat
  • Posts: 725
Re: shaded vport options
« Reply #6 on: February 21, 2023, 02:59:13 PM »
ok

but why don't you use vla-put-ShadePlot ?

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: shaded vport options
« Reply #7 on: February 21, 2023, 03:31:16 PM »
i cut this snippet from a bigger function
this is how i did it that time

does vla-put-ShadePlot work in model space?